Avisos
Vaciar todo

[Resuelto] Error 500 al acceder a la pasarela de pagos  

 
JOAN
 JOAN
Nuevo usuario

Hola,

Recientemente hemos detectado un error (http error 500) al acceder al pago en nuestra web www.velosjoan.com. Detallamos el último registro de error 500: 147.135.228.61 - - [06/Apr/2021:18:00:05 +0200] "POST /es/venta/checkout/task-step/step-1 HTTP/1.0" 500 - "https://www.velosjoan.com/es/venta/checkout/task-step/step-1" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.114 Safari/537.36"

Desde Redsys comentan que no tiene nada que ver con ellos y sugieren: "Por la captura que nos aportan nos hace sospechar se trata de una integración insite, dado que no llega a nuestra página, sino que se queda en su página. Recuerde que si fuera el caso deben de solicitar antes dominio insite permitido."

No habíamos realizado ninguna actualización de sistema ni de extensiones antes de detectar el error. Una vez detectado, si que hemos intentado actualizar todo lo posible para verificar si el error se solucionaba. También hemos activado el certificado ssl (siempre posteriormente a la detección del error).

También hemos desactivado el filtro de idiomas para evitar la carga de velosjoan.com/es (que parecía generaba problemas) pero tampoco soluciona el tema.

Agradeceremos vuestra ayuda !!

Contenido solo visible a usuarios registrados

Respondido : 12/04/2021 10:33 pm
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

Hola Joan,

¿La web afectada es Contenido solo visible a usuarios registrados, que es la unica en la que veo instalado el RedSys, te sugiero actualizar todos tus plugins, template y el Wordpress mismo que veo que estás usando una versión obsoleta del mismo. 

¿Desde cuando detectaste este problema? ¿¿Te sucede con todos los productos? ¿Con todos los medios de pago o solo con Redsys?

Saludos

Respondido : 12/04/2021 11:12 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

JOAN
 JOAN
Nuevo usuario

@bulmaro-webempresa 

Buenos días y gracias por la respuesta, efectivamente la web afectada es www.velosjoan.com. Intenté subir la versión php pero por encima de 7 da error (miraré de modificar las variables que comentas).

No hay más medios de pago habilitados (no entiendo que Redsys esté instalado sobre un dominio temporal y no sombre velosjoan.com, esta web viene importada de otro hosting).

No sabemos desde cuando se produce este error ya que al tratarse de un negocio estacional no ha habido reservas desde hace meses y no habíamos probado el acceso a la plataforma de Redsys.

Ayer actualizamos todas las extensiones y versión de joomla que pudimos.

¿Cómo puedo adjuntar una captura de pantalla con el error?

Gracias !!

Respondido : 13/04/2021 8:40 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Joan.

Comprueba que no tengas actualizaciones pendientes tanto de Joomla como de extensiones y de la plantilla.

Si que veo un error con el componente de la tienda:

[06-Apr-2021 15:53:38 UTC] PHP Fatal error: Call to a member function get() on null in /home/alquil21/public_html/velosjoan.com/administrator/components/com_hikashop/classes/order.php on line 1389

 

Si puedes nos indicas que versiones utilizas de Joomla de Hinkashop, el componente de que utilizas para las tarjetas de pago y de Gantry.

 

Un saludo

 

Respondido : 13/04/2021 9:22 am

Cursos Gratuitos WordPress

JOAN
 JOAN
Nuevo usuario

@pepesoler

Hola Pepe, la versión de Hikashop es 2.6.3 y la de Joomla es 3.9.25

Gantry 4

Hikashop Redsýs Payment Plugin

Gracias !!

Respondido : 13/04/2021 10:17 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Joan.

veo que utilizas versiones muy desfasadas

Gantry 4 

Esta version hace tiempo que fue sustituida por Gantry 5

-> http://gantry.org/

Hikashop es 2.6.3

La version de HikaShop es la 4.4.1

 

El problema que veo es que no podrías actualizar por ejemplo Gantry 4 ya que la version 5 no es compatible con la 4.

Lo que no se es la version que tienes del plugin de Redsys que supongo que es este:

-> https://modulosdepago.es/pago-hikashop-redsys

 

Lo que haría es clonar Joomla e intentar actualizar todo en ese clon y ver como responde:

-> https://www.webempresa.com/blog/realiza-copias-de-seguridad-y-restauraciones-en-joomla-3-con-akeeba-backup.html

 

Y si quieres mi recomendación, empezaría con una nueva instalación, es decir, una web desde Cero con Joomla o incluso probar con WordPress y WooCommerce.

Como lo tienes montado ahora al final se caerá la web ya que no puedes actualizar por ejemplo a versiones superiores de PHP ni tampoco puedes actualizar Gantry que es el constructor, no son compatibles las versiones 4 y 5, lo mismo que Joomla si vas actualizando Joomla y no actualizas sus extensiones al final son problemas ya que termina por no se compatibles.

 

Un saludo

 

 

 

 

Respondido : 13/04/2021 10:55 am

wpdoctor-revisa-la-salud-de-tu-wordpress

JOAN
 JOAN
Nuevo usuario

@pepesoler

Gracias Pepe, seguiremos tus recomendaciones.

Saludos.

 

Respondido : 13/04/2021 11:48 am
Pepe
 Pepe
Soporte CMS Webempresa Moderator

Hola Joan.

Genial !!! la mejor opción como te comentaba es que empezaras con una nueva web.

Cualquier consulta que tengas en el proceso solo tienes que abrir una consulta y lo vamos viendo.

 

Cerramos el tema.

Un saludo

Respondido : 13/04/2021 11:55 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación